OpenCourt Developers
API ReferenceOrders

Get an order

GET/v1/orders/{id}

Fetch a single order by id. Returns 404 if the id is not an order of the club tied to your API key.

Authorization

bearerAuth
AuthorizationBearer <token>

Your club API key. Send it as Authorization: Bearer oc_live_….

In: header

Path Parameters

id*string

The order id.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.getopencourt.com/v1/orders/d4e5f6a7-8b9c-4d0e-a1b2-c3d4e5f6a7b8"
{
  "id": "d4e5f6a7-8b9c-4d0e-a1b2-c3d4e5f6a7b8",
  "object": "order",
  "customer_id": "3f29c4a1-7b6d-4e52-9c81-2a4b6d8e0f13",
  "status": "paid",
  "amount": 4500,
  "currency": "USD",
  "created_at": "2026-01-15T14:30:00.000Z"
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string"
  }
}